return {
    min_layer = 1,
    max_layer = 12,
    shiftmode_keys = {[""] = true},
    symbolmode_keys = {["Sym"] = true, ["ABC"] = true},
    utf8mode_keys = {["🌐"] = true},
    umlautmode_keys = {["Äéß"] = true},
    keys = {
        -- first row
        {  --  1           2       3       4       5       6       7       8       9       10      11      12
            { "Q",        "q",    "„",    "0",    "Ã",    "ã",    "„",    "0",    "Ä",    "ä",    "1",    "ª", },
            { "W",        "w",    "!",    "1",    "Á",    "á",    "!",    "1",    "Ö",    "ö",    "2",    "º", },
            { "E",        "e",    "@",    "2",    "É",    "é",    "@",    "2",    "Ü",    "ü",    "3",    "¡", },
            { "R",        "r",    "#",    "3",    "Ê",    "ê",    "#",    "3",    "ß",    "ß",    "4",    "¿", },
            { "T",        "t",    "+",    "=",    "T",    "t",    "+",    "=",    "À",    "à",    "5",    "¼", },
            { "Y",        "y",    "€",    "(",    "Ü",    "ü",    "€",    "(",    "Â",    "â",    "6",    "½", },
            { "U",        "u",    "‰",    ")",    "Ú",    "ú",    "‰",    ")",    "Æ",    "æ",    "7",    "¾", },
            { "I",        "i",    "|",    "\\",   "Í",    "í",    "|",    "\\",    "Ç",    "ç",    "8",    "©", },
            { "O",        "o",    "?",    "/",    "Õ",    "õ",    "?",    "/",    "È",    "è",    "9",    "®", },
            { "P",        "p",    "~",    "`",    "Ó",    "ó",    "~",    "`",    "É",    "é",    "0",    "™", },
        },
        -- second row
        {  --  1           2       3       4       5       6       7       8       9       10      11      12
            { "A",        "a",    "…",    "@",    "À",    "à",    "…",    "@",    "Ê",    "ê",    "Ş",    "ş", },
            { "S",        "s",    "$",    "4",    "Â",    "â",    "$",    "4",    "Ë",    "ë",    "İ",    "ı", },
            { "D",        "d",    "%",    "5",    "D",    "d",    "%",    "5",    "Î",    "î",    "Ğ",    "ğ", },
            { "F",        "f",    "^",    "6",    "F",    "f",    "^",    "6",    "Ï",    "ï",    "Ć",    "ć", },
            { "G",        "g",    ":",    ";",    "G",    "g",    ":",    ";",    "Ô",    "ô",    "Č",    "č", },
            { "H",        "h",    "\"",   "'",    "H",    "h",    "\"",    "'",    "Œ",    "œ",    "Đ",    "đ", },
            { "J",        "j",    "{",    "[",    "J",    "j",    "{",    "[",    "Ù",    "ù",    "Š",    "š", },
            { "K",        "k",    "}",    "]",    "K",    "k",    "}",    "]",    "Û",    "û",    "Ž",    "ž", },
            { "L",        "l",    "_",    "-",    "Ô",    "ô",    "_",    "-",    "Ÿ",    "ÿ",    "Ő",    "ő", },
        },
        -- third row
        {  --  1           2       3       4       5       6       7       8       9       10      11      12
            { label = "",
              width = 1.5
            },
            { "Z",        "z",    "&",    "7",    "Z",    "z",    "&",    "7",    "Á",    "á",    "Ű",    "ű", },
            { "X",        "x",    "*",    "8",    "x",    "x",    "*",    "8",    "É",    "é",    "Ø",    "ø", },
            { "C",        "c",    "£",    "9",    "Ç",    "ç",    "£",    "9",    "Í",    "í",    "Þ",    "þ", },
            { "V",        "v",    "<",    "‚",    "V",    "v",    "<",    ",",    "Ñ",    "ñ",    "Ý",    "ý", },
            { "B",        "b",    ">",    ".",    "B",    "b",    ">",    ".",    "Ó",    "ó",    "†",    "‡", },
            { "N",        "n",    "‘",    "↑",    "N",    "n",    "‘",    "“",    "Ú",    "ú",    "–",    "—", },
            { "M",        "m",    "’",    "↓",    "M",    "m",    "’",    "”",    "Ç",    "ç",    "…",    "¨", },
            { label = "",
              width = 1.5,
              bold = false
            },
        },
        -- fourth row
        {
            { "Sym",     "Sym",  "ABC",  "ABC",  "Sym",  "Sym",  "ABC",  "ABC",  "Sym",  "Sym",  "ABC",  "ABC",
              width = 1.5},
            { label = "🌐", },
            { "Äéß",     "Äéß",  "Äéß",  "Äéß",  "Äéß",  "Äéß",  "Äéß",  "Äéß",  "Äéß",  "Äéß",  "Äéß",  "Äéß", },
            { label = "space",
              " ",        " ",    " ",    " ",    " ",    " ",    " ",    " ",    " ",    " ",    " ",    " ",
                width = 3.0},
            { ",",        ",",    "“",    "←",    ",",    ",",    "Ё",    "Ё",    ",",    ",",    ",",    ",", },
            { ",",        ".",    "”",    "→",    ",",    ".",    "ё",    "ё",    ",",    ".",    ",",    ".", },
            { label = "⮠",
              "\n",       "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",   "\n",
              width = 1.5,
              bold = true
            },
        },
    },
}
